//
//  PokktNativeTableVC.m
//  PokktDemoApp
//
//  Created by Ranajit Chandra on 06/04/20.
//  Copyright © 2020 Suraj Singh. All rights reserved.
//

#import "PokktNativeTableVC.h"
#import "PokktUtility.h"

@interface PokktNativeTableVC ()

@end

@implementation PokktNativeTableVC

- (void)viewDidLoad {
    [super viewDidLoad];
    [self configurePokktSDK];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(void)configurePokktSDK
{
    NSUserDefaults *settings = [NSUserDefaults standardUserDefaults];
    
    NSString *appId = [settings objectForKey:@"appId"];
    NSString *securityKey = [settings objectForKey:@"secKey"];
    
    /**
     * In [PokktAds setPokktConfig: securityKey:]
     * Replace "AppID" and "SecurityKey"  with the one assigned to you by Pokkt.
     *
     */
    
    [PokktAds setPokktConfigWithAppId:appId securityKey:securityKey];
    
    // optional, set it to true if you want to enable logs for PokktSDK
    
    [PokktDebugger setDebug:YES];
}

-(void)viewDidDisappear:(BOOL)animated
{
}

-(void)viewDidAppear:(BOOL)animated
{
    NSIndexPath *path = [NSIndexPath indexPathForItem:2 inSection:0];
    
}

- (nonnull UITableViewCell *)tableView:(nonnull UITableView *)tableView cellForRowAtIndexPath:(nonnull NSIndexPath *)indexPath {
    static NSString *CellIdentifier = @"outcell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil)
    {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:CellIdentifier];
    }
    
    cell.textLabel.text = @"Pokkt Ads";
    cell.detailTextLabel.text = @"OutStream Ad";
    
    return cell;
}

- (NSInteger)tableView:(nonnull UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 16;
}

@end
