//
//  PokktNativeWebViewVC.m
//  PokktDemoApp
//
//  Created by Ranajit Chandra on 06/04/20.
//  Copyright © 2020 Suraj Singh. All rights reserved.
//

#import "PokktNativeWebViewVC.h"
#import "PokktUtility.h"

@interface PokktNativeWebViewVC ()

@end

@implementation PokktNativeWebViewVC

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    [self configurePokktSDK];
    
    NSURL *url = [NSURL URLWithString:@"https://s3-ap-southeast-1.amazonaws.com/sdkplugin/test/test.html"];
    NSURLRequest *request = [NSURLRequest requestWithURL:url];
    [webView loadRequest:request];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(void)configurePokktSDK
{
    NSUserDefaults *settings = [NSUserDefaults standardUserDefaults];
    
    NSString *appId = [settings objectForKey:@"appId"];
    NSString *securityKey = [settings objectForKey:@"secKey"];
    
    /**
     * In [PokktAds setPokktConfig: securityKey:]
     * Replace "AppID" and "SecurityKey"  with the one assigned to you by Pokkt.
     *
     */
    
    [PokktAds setPokktConfigWithAppId:appId securityKey:securityKey];
    
    // optional, set it to true if you want to enable logs for PokktSDK
    
    [PokktDebugger setDebug:YES];
    
}

- (BOOL)webView:(UIWebView *)webView shouldStartLoadWithRequest:(NSURLRequest *)request navigationType:(UIWebViewNavigationType)navigationType
{
    return NO;
}


- (void)webViewDidFinishLoad:(UIWebView *)webView
{
}


-(void)viewDidDisappear:(BOOL)animated
{
}

-(void)viewDidAppear:(BOOL)animated
{
}

@end
