//
//  PokktScrollVC.m
//  PokktDemoApp
//
//  Created by Suraj Singh on 16/05/18.
//  Copyright © 2018 Suraj Singh. All rights reserved.
//

#import "PokktScrollVC.h"

@interface PokktScrollVC ()

@end

@implementation PokktScrollVC

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    [self configurePokktSDK];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(void)configurePokktSDK
{
    NSUserDefaults *settings = [NSUserDefaults standardUserDefaults];
    
    NSString *appId = [settings objectForKey:@"appId"];
    NSString *securityKey = [settings objectForKey:@"secKey"];
    
    /**
     * In [PokktAds setPokktConfig: securityKey:]
     * Replace "AppID" and "SecurityKey"  with the one assigned to you by Pokkt.
     *
     */
    
    [PokktAds setPokktConfigWithAppId:appId securityKey:securityKey];
    
    // optional, set it to true if you want to enable logs for PokktSDK
    
    [PokktDebugger setDebug:YES];    
}

-(void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
    [PokktOutStreamAds loadOutstreamAd:@"default" placeHolder:outStreamAdView scrollView:scrollView withDelegate: self];
    
}

-(void)viewDidDisappear:(BOOL)animated
{
    [PokktOutStreamAds disappearScrollViewOutStreamAd:@"default" inContainer:outStreamAdView];
}


- (void)outStreamAdReady:(NSString *)screenName
{
    [UIView animateWithDuration:0.2 animations:^{
        self.inReadConstraint.constant = 200;
        [self.view layoutIfNeeded];
    }];
    
    NSString *msg = [NSString stringWithFormat:@"OutStream ad Ready for %@",screenName];
    [PokktDebugger showToast:msg viewController:self];
}

- (void)outStreamAdDisplayed: (NSString *)screenName
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad displayed for %@",screenName];
    [PokktDebugger showToast:msg viewController:self];
}

- (void)outStreamAdClicked:(NSString *)screenName
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad Clicked for %@",screenName];
    [PokktDebugger showToast:msg viewController:self];
}

- (void)outStreamAdCompleted: (NSString *)screenName
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad complete for %@",screenName];
    
    [PokktDebugger showToast:msg viewController:self];
}



- (void)outStreamAdFailedToShow: (NSString *)screenName errorMessage: (NSString *)errorMessage
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad falied to show for %@",screenName];
    [PokktDebugger showToast:msg viewController:self];
}
@end
