//
//  PokktTableVC.m
//  PokktDemoApp
//
//  Created by Suraj Singh on 16/05/18.
//  Copyright © 2018 Suraj Singh. All rights reserved.
//

#import "PokktTableVC.h"

@interface PokktTableVC ()

@end

@implementation PokktTableVC

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    [self configurePokktSDK];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(void)configurePokktSDK
{
    NSUserDefaults *settings = [NSUserDefaults standardUserDefaults];
    
    NSString *appId = [settings objectForKey:@"appId"];
    NSString *securityKey = [settings objectForKey:@"secKey"];
    
    /**
     * In [PokktAds setPokktConfig: securityKey:]
     * Replace "AppID" and "SecurityKey"  with the one assigned to you by Pokkt.
     *
     */
    
    [PokktAds setPokktConfigWithAppId:appId securityKey:securityKey];
    
    // optional, set it to true if you want to enable logs for PokktSDK
    
    [PokktDebugger setDebug:YES];
}

-(void)viewDidDisappear:(BOOL)animated
{
    [PokktOutStreamAds disappearTableViewOutStreamAd:@"default" inContainer:table];
}

-(void)viewDidAppear:(BOOL)animated
{
    NSIndexPath *path = [NSIndexPath indexPathForItem:2 inSection:0];
    [PokktOutStreamAds loadOutstreamAd:@"default" atIndexPath:path tableView:table withDelegate: self];
}

- (nonnull UITableViewCell *)tableView:(nonnull UITableView *)tableView cellForRowAtIndexPath:(nonnull NSIndexPath *)indexPath {
    static NSString *CellIdentifier = @"outcell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil)
    {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:CellIdentifier];
    }
    
    cell.textLabel.text = @"Pokkt Ads";
    cell.detailTextLabel.text = @"OutStream Ad";
    
    return cell;
}

- (NSInteger)tableView:(nonnull UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 16;
}

- (void)outStreamAdReady:(NSString *)screenName
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad Ready for %@",screenName];
    [PokktDebugger showToast:msg viewController:self];
}

- (void)outStreamAdDisplayed: (NSString *)screenName
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad displayed for %@",screenName];
    [PokktDebugger showToast:msg viewController:self];
}

- (void)outStreamAdClicked:(NSString *)screenName
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad Clicked for %@",screenName];
    [PokktDebugger showToast:msg viewController:self];
}

- (void)outStreamAdCompleted: (NSString *)screenName
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad complete for %@",screenName];
    [PokktDebugger showToast:msg viewController:self];
}

- (void)outStreamAdFailedToShow: (NSString *)screenName errorMessage: (NSString *)errorMessage
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad falied to show for %@",screenName];
    [PokktDebugger showToast:msg viewController:self];
}
@end
