//
//  PokktBannerVC.m
//  PokktDemoApp
//
//  Created by Suraj Singh on 16/05/18.
//  Copyright © 2018 Suraj Singh. All rights reserved.
//

#import "PokktBannerVC.h"
#import "PokktUtility.h"

@interface PokktBannerVC ()

@end

@implementation PokktBannerVC

- (void)viewDidLoad {
    [super viewDidLoad];

    
    logoImgV.transform = CGAffineTransformMakeRotation(-M_1_PI);
    // Do any additional setup after loading the view.
    
    [self configurePokktSDK];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(void)configurePokktSDK
{
    NSUserDefaults *settings = [NSUserDefaults standardUserDefaults];
    
    NSString *appId = [settings objectForKey:@"appId"];
    NSString *securityKey = [settings objectForKey:@"secKey"];
    
    /**
     * In [PokktAds setPokktConfig: securityKey:]
     * Replace "AppID" and "SecurityKey"  with the one assigned to you by Pokkt.
     *
     */
    
    [PokktAds setPokktConfigWithAppId:appId securityKey:securityKey];
    
    // optional, set it to true if you want to enable logs for PokktSDK
    
    [PokktDebugger setDebug:YES];
    
    // OPTIONAL but we SUGGEST you to implement delegates as it will help you to determine the status of your request
    
    //[PokktBanner setPokktBannerDelegate:self];
}

#pragma mark Banner ad methods

-(IBAction)loadBannerAdTop:(id)sender
{
    CGRect adSize = CGRectMake(0, 100, [UIScreen mainScreen].bounds.size.width, 50);
    self.banner_top = [[PokktBannerView alloc] initWithFrame:adSize];
    [self.banner_top setTag:1221];
    [self.banner_top setBackgroundColor:[UIColor lightGrayColor]];
    [self.view addSubview:self.banner_top];
    
    [PokktUtility addSpinnerOnButton:loadBanner_top];
    [PokktAds showAd:@"b35ab01239e01ee3a0350c0e856e0ad2"
  withViewController:self
     bannerContainer:self.banner_top
        withDelegate:self];
}

-(IBAction)destroyBannerAd_Top:(id)sender
{
    [PokktAds destroyBanner:self.banner_top];
}

-(IBAction)loadBannerAdBottom:(id)sender
{
    CGRect adSize = CGRectMake(0, [UIScreen mainScreen].bounds.size.height - 150, [UIScreen mainScreen].bounds.size.width, 50);
    self.banner_bottom = [[PokktBannerView alloc] initWithFrame:adSize];
    [self.banner_bottom setTag:1223];
    
    [self.banner_bottom setBackgroundColor:[UIColor lightGrayColor]];
    [self.view addSubview:self.banner_bottom];
    
    [PokktUtility addSpinnerOnButton:loadBanner_bottom];
    [PokktAds showAd:screenTF.text
  withViewController:self
     bannerContainer:self.banner_bottom
        withDelegate:self];
}

-(IBAction)destroyBannerAdBotton:(id)sender
{
    [PokktAds destroyBanner:self.banner_bottom];
}


#pragma mark Pokkt Banner Ads Delegates

- (BOOL)textFieldShouldReturn:(UITextField *)textField
{
    [textField resignFirstResponder];
    return YES;
}

- (void)adDisplayed:(NSString *)screenId
{
    NSString *msg = [NSString stringWithFormat:@"Banner loaded successfully for %@", screenId];
    [PokktDebugger showToast:msg viewController:self];
    [PokktUtility stopSpinner:loadBanner_top];
    [PokktUtility stopSpinner:loadBanner_bottom];
}

- (void)adFailedToShow:(NSString *)screenId errorMessage:(NSString *)errorMessage
{
    NSString *msg = [NSString stringWithFormat:@"Banner loaded failed for screen  %@ with error is %@", screenId, errorMessage];
    [PokktDebugger showToast:msg viewController:self];
    [PokktUtility stopSpinner:loadBanner_top];
    [PokktUtility stopSpinner:loadBanner_bottom];
}

- (void)bannerCollapsed:(NSString *)screenId
{
    // handle if required
}

- (void)bannerExpanded:(NSString *)screenId
{
    // handle if required
}

- (void)bannerResized:(NSString *)screenId
{
    // handle if required
}

- (void)adClicked:(NSString *)screenId
{
    NSString *msg = [NSString stringWithFormat:@"Banner Clicked for %@", screenId];
    [PokktDebugger showToast:msg viewController:self];
}

- (void)adCached:(NSString *)screenId withReward:(double)reward {/* IGNORE */}
- (void)adClosed:(NSString *)screenId adCompleted:(BOOL)adCompleted {/* IGNORE */}
- (void)adFailedToCache:(NSString *)screenId errorMessage:(NSString *)errorMessage {/* IGNORE */}
- (void)adGratified:(NSString *)screenId withReward:(double)reward {/* IGNORE */}

@end
